<?php

namespace HCM\FPA\Entity;

use HCM\Util\Repositories;
use HCM\Util\TkEntity;
use HCM\Util\DateUtil;

class FpaVinceventoEntity
{

    const IDTIPOMOVIMENTO_PRINCIPAL = 'PRINCIPAL';

    const IDTIPOMOVIMENTO_AUXILIAR = 'AUXILIAR';

    const IDTIPOMOVIMENTO_TODOS = 'TODOS';

    const IDREFGERAR_PERCENTUAL = 'PERCENTUAL';

    const IDREFGERAR_MULTIPLICADOR = 'MULTIPLICADOR';

    const IDREFGERAR_DIVISOR = 'DIVISOR';

    const IDREFGERAR_NENHUM = 'NENHUM';

    const IDRETREFERENCIA_NAO = 'N';

    const IDRETREFERENCIA_SIM = 'S';
    
    public function __construct($entityManager, $hcmParameters){
        $this->hcmParameters = $hcmParameters;
        $this->entityManager = $entityManager;
    }

    public function retornaAssociacoesVinculoEvento($nrOrg, $nrVinculo, $mesCompetencia){
        $resultado = $this->entityManager->getRepository(Repositories::FPA_VINCEVENTO)->retornaAssociacoesVinculoEvento($nrOrg, $nrVinculo, $mesCompetencia);
        return $resultado;
    }

    public function setVinculoEvento($nrorg, $nrvinculom, $nreventom, $vreventofixo, $vrreffixo, $dtinivigencia,
                                     $dtfimvigencia, $idtipomovimento) {
        $this->setNrorg($nrorg);
        $this->setNrvinculom($nrvinculom);
        $this->setNreventom($nreventom);
        $this->setVreventofixo($vreventofixo);
        $this->setVrreffixo($vrreffixo);
        $this->setDtinivigencia($dtinivigencia);
        $this->setDtfimvigencia($dtfimvigencia);
        $this->setIdtipomovimento($idtipomovimento);
        $this->setDtinclusao(now());
    }

}